{% extends 'Default/index.html.twig' %}
{% block main_content %}

  <section id="intro" class="container px-4 my-4">
    <h1 class="text-center title mb-5">Login</h1>
    <div class="row">


      <div class="col-md-4 {% if is_ebabled_backend_oauth and provider %}offset-md-2{% else %}offset-md-4{% endif %}">
        {% if error %}
          <div class="alert alert-warning mb-5"
               role="alert">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        <form method="post">
          <div class="form-group">
            <label for="username">{{ 'general.username'|trans }}</label>
            <input type="text" id="username" name="_username" value="{{ last_username }}" required="required"
                   autocomplete="username" class="form-control"/>
          </div>

          <div class="form-group">
            <label for="password">{{ 'security.password'|trans }}</label>
            <input type="password" id="password" name="_password" required="required" autocomplete="current-password"
                   class="form-control"/>
          </div>

          <input type="hidden" name="_target_path" value="{{ app.request.get('redirect_to') }}"/>
          <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}"/>
          <div class="row">
            <div class="col-6">
              <div class="form-check">
                <input type="checkbox" id="remember_me" name="_remember_me" value="on" class="form-check-input"/>
                <label for="remember_me" class="form-check-label">{{ 'security.remember_me'|trans }}</label>
              </div>
            </div>
            <div class="col-6">
              <input type="submit" id="_submit" name="_submit" value="{{ 'security.login'|trans }}"
                     class="btn btn-primary float-right"/>
            </div>
          </div>

        </form>
      </div>
      {% if is_ebabled_backend_oauth and provider %}
        <div class="col-md-4 text-center">
          <p class="font-weight-semibold text-muted">{{ 'security.or'|trans }}</p>
          <a href="{{ path('security_login', {'oauth': true}) }}" class="btn btn-outline-primary">{{ 'security.enter_with'|trans }} {{ provider.name }}</a>
        </div>
      {% endif %}
    </div>

    <hr/>
    <div class="text-center mb-5">
      <a href="{{ path('reset_password') }}">{{ 'user.forgot_password' | trans }}</a>
    </div>
  </section>
{% endblock %}
